Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003322Doomseeker[All Projects] Suggestionpublic2017-10-30 06:172018-08-27 02:46
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.2 
Target Version1.2Fixed in Version1.2 
Summary0003322: Clarify copyright status of distributed LGPL binaries (Nokia's LGPLv2.1-only code)
DescriptionThe about dialog now says Doomseeker and Wadseeker to be LGPLv2.1+:https://bitbucket.org/Doomseeker/doomseeker/commits/0dba2ec82ddda80b1252c8523d0a3c9148cea9d6 [^]

But there's actually LGPLv2.1-only code in Wadseeker from Nokia / Qt, which Doomseeker links to.

What do?
Steps To ReproduceThese files are LGPLv2.1 only (not "any later version") with a special exception (LGPL_EXCEPTION.txt):


  • src/wadseeker/protocols/fixedftpreply.h

  • src/wadseeker/protocols/fixedftpreply.cpp

  • src/wadseeker/protocols/fixednetworkaccessmanager.h

  • src/wadseeker/protocols/fixednetworkaccessmanager.cpp

Attached Files

- Relationships
related to 0003309resolvedZalewa FixedFtpReply and FixedNetworkAccessManager have missing license files 
child of 0003237needs reviewZalewa Non-free files and copyright issues in source archive 

-  Notes
User avatar (0018684)
WubTheCaptain (developer)
2017-10-30 06:26

Blocker because binaries should not be legal to distribute at the moment, and would cause automatic termination of license.
User avatar (0018685)
WubTheCaptain (developer)
2017-10-30 06:31
edited on: 2017-10-30 06:32

Doomseeker 1.1 binaries seem to be unaffected?

User avatar (0018707)
Zalewa (developer)
2017-11-01 11:37

These classes were first introduced to work around an FTP communication blunder in Qt implementation which caused all communication to die on SIZE command.

This problem seems to be fixed in Qt 4.8 as I wrote a small tool for testing purposes and this tool communicates just fine with idgames archives FTPs, even when compiled against Qt 4.8.7.

At the current moment, I think we can just remove those classes from the code.
User avatar (0018709)
Zalewa (developer)
2017-11-01 12:30

Problem solved:https://bitbucket.org/Doomseeker/doomseeker/commits/3ba35a884c8f33a30583f20352d54d72cedf9559 [^]
User avatar (0018711)
WubTheCaptain (developer)
2017-11-01 12:56

Looks fine to me, and it builds & works on my machine (with Qt5).

I'll leave this up for testing until 1.2 release, in case of complaints.
User avatar (0019421)
WubTheCaptain (developer)
2018-08-27 02:46

Re-open or create a new ticket if you find issues.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-10-30 06:17 WubTheCaptain New Issue
2017-10-30 06:17 WubTheCaptain Relationship added child of 0003237
2017-10-30 06:18 WubTheCaptain Steps to Reproduce Updated View Revisions
2017-10-30 06:18 WubTheCaptain Relationship added related to 0003309
2017-10-30 06:18 WubTheCaptain Relationship deleted related to 0003309
2017-10-30 06:24 WubTheCaptain Description Updated View Revisions
2017-10-30 06:25 WubTheCaptain Severity text => block
2017-10-30 06:26 WubTheCaptain Note Added: 0018684
2017-10-30 06:29 WubTheCaptain Summary Clarify copyright status of distributed LGPL binaries => Clarify copyright status of distributed LGPL binaries (Nokia's LGPLv2.1-only code)
2017-10-30 06:30 WubTheCaptain Relationship added related to 0003309
2017-10-30 06:31 WubTheCaptain Note Added: 0018685
2017-10-30 06:32 WubTheCaptain Note Edited: 0018685 View Revisions
2017-11-01 10:46 Zalewa Assigned To => Zalewa
2017-11-01 10:46 Zalewa Status new => assigned
2017-11-01 11:37 Zalewa Note Added: 0018707
2017-11-01 12:30 Zalewa Note Added: 0018709
2017-11-01 12:30 Zalewa Status assigned => needs review
2017-11-01 12:56 WubTheCaptain Note Added: 0018711
2017-11-01 12:56 WubTheCaptain Status needs review => needs testing
2017-11-03 10:17 WubTheCaptain Fixed in Version => 1.2
2018-08-27 02:46 WubTheCaptain Note Added: 0019421
2018-08-27 02:46 WubTheCaptain Status needs testing => resolved
2018-08-27 02:46 WubTheCaptain Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker